Issue 127138 - replace Quicktime
Summary: replace Quicktime
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.1.2
Hardware: Mac Mac OS X, all
: P5 (lowest) Critical (vote)
Target Milestone: 4.1.8
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 128209
  Show dependency tree
 
Reported: 2016-09-27 06:37 UTC by Ariel Constenla-Haile
Modified: 2020-05-19 17:24 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.7
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2016-09-27 06:37:14 UTC
Once configure is fixed to detect Xcode 8, build breaks on avmedia:

In file included from /Users/ariel/aoo/build/openoffice-svn/branches/AOO413/main/avmedia/source/quicktime/framegrabber.cxx:24:
In file included from ./framegrabber.hxx:27:
./quicktimecommon.hxx:30:9: fatal error: 'QTKit/QTKit.h' file not found
#import <QTKit/QTKit.h>

Apple removed support for building code based QTKit, though at runtime the framework is still supported; thus, AOO does work on Sierra, but it cannot be built.

The avmedia macOS plugin should move from QTKit to AV Foundation, see https://developer.apple.com/library/content/technotes/tn2300/_index.html
Comment 1 Ariel Constenla-Haile 2016-09-27 06:49:40 UTC
It breaks before avmedia, in vcl:


/Users/ariel/aoo/build/openoffice-svn/branches/AOO413/main/vcl/aqua/source/dtrans/PictToBmpFlt.cxx:34:10: fatal error: 'QuickTime/QuickTime.h' file not found
#include <QuickTime/QuickTime.h>
         ^
1 error generated.
Comment 2 Peter 2019-07-28 04:18:43 UTC
I high jack this Bug as collecting all Information for Quicktime removal. There is no way around this

Ressources on Quicktime in the wiki
https://wiki.openoffice.org/wiki/Mac_OS_X_Porting_-_Native_Audio_and_Video

Search on the code gives:
Implementation in avmedia which we need to rebuild with
https://developer.apple.com/documentation/avfoundation?language=objc

or AVkit if we want more sophisticated player.

following references we need to take care:
in filter
on oox
in postrpocess
scp2
scripting
sd
solenv
svx
vcl
Comment 3 Ariel Constenla-Haile 2019-10-16 22:52:12 UTC
(In reply to Peter from comment #2)
> I high jack this Bug as collecting all Information for Quicktime removal.
> There is no way around this

Well, looks like you didn't collect well your information. AV Foundation is *already* implemented on trunk (old SVN, now "master" on git?) since 2014 (*), see issue 124875. So this bug is about removing the bits of this old Quicktime implementation and using the newer one.

(*) Implemented in main/avmedia/source/macavf/
Comment 4 Ariel Constenla-Haile 2019-10-16 22:53:29 UTC
I'll take a look on the weekend (sooner if I can find where OpenGrok is located now)
Comment 5 Peter 2019-10-17 06:00:08 UTC
Sadly opengrok is down.
Comment 6 Ariel Constenla-Haile 2019-10-21 02:05:55 UTC
Removing Quicktime should be fixed on trunk and branch AOO418.
Comment 7 Matthias Seidel 2020-03-12 16:47:40 UTC
I think we have test builds of AOO418 for macOS to see if this issue is fixed:

https://home.apache.org/~jim/AOO-builds/AOO418-macOS-test/

Maybe a Mac user can install and confirm?
Comment 8 Matthias Seidel 2020-05-19 17:24:18 UTC
Since all Quicktime changes have been backported to AOO418 I set this as resolved.